=== debian/changelog ===
ros-indigo-moveit-planners-ompl (0.7.14-1trusty) trusty; urgency=high



 -- Dave Coleman <dave@dav.ee>  Sat, 20 Oct 2018 07:00:00 -0000

ros-indigo-moveit-planners-ompl (0.7.13-1trusty) trusty; urgency=high



 -- Dave Coleman <dave@dav.ee>  Mon, 25 Dec 2017 08:00:00 -0000

ros-indigo-moveit-planners-ompl (0.7.12-1trusty) trusty; urgency=high

  * [moveit_ros] [moveit_planners] Optional forced use of JointModelStateSpaceFactory (#541 <https://github.com/ros-planning/moveit/issues/541>)
    * Implements optional ompl_planning config parameter 'force_joint_model_state_space'.
    * Renames parameter to 'enforce_joint_model_state_space'.
    Expands workaround comment.
  * Contributors: henhenhen

 -- Ioan Sucan <isucan@willowgarage.com>  Sun, 06 Aug 2017 07:00:00 -0000

ros-indigo-moveit-planners-ompl (0.7.11-1trusty) trusty; urgency=high



 -- Ioan Sucan <isucan@willowgarage.com>  Wed, 21 Jun 2017 07:00:00 -0000

ros-indigo-moveit-planners-ompl (0.7.10-1trusty) trusty; urgency=high



 -- Ioan Sucan <isucan@willowgarage.com>  Wed, 07 Jun 2017 07:00:00 -0000

ros-indigo-moveit-planners-ompl (0.7.9-1trusty) trusty; urgency=high

  * [fix][moveit_planners_ompl] Always update initial robot state to prevent dirty robot state error. #448 <https://github.com/ros-planning/moveit/pull/448>
  * Contributors: Henning Kayser

 -- Ioan Sucan <isucan@willowgarage.com>  Mon, 03 Apr 2017 07:00:00 -0000

ros-indigo-moveit-planners-ompl (0.7.8-1trusty) trusty; urgency=high

  * [fix][moveit_ros_warehouse] gcc6 build error #423 <https://github.com/ros-planning/moveit/pull/423>
  * Contributors: Dmitry Rozhkov

 -- Ioan Sucan <isucan@willowgarage.com>  Wed, 08 Mar 2017 08:00:00 -0000

ros-indigo-moveit-planners-ompl (0.7.7-1trusty) trusty; urgency=high

  * [maintenance] clang-format upgraded to 3.8 (#404 <https://github.com/ros-planning/moveit/issues/404>)
  * Contributors: Dave Coleman

 -- Ioan Sucan <isucan@willowgarage.com>  Mon, 06 Feb 2017 08:00:00 -0000

ros-indigo-moveit-planners-ompl (0.7.6-1trusty) trusty; urgency=high



 -- Ioan Sucan <isucan@willowgarage.com>  Fri, 30 Dec 2016 08:00:00 -0000

ros-indigo-moveit-planners-ompl (0.7.5-1trusty) trusty; urgency=high



 -- Ioan Sucan <isucan@willowgarage.com>  Sun, 25 Dec 2016 08:00:00 -0000

ros-indigo-moveit-planners-ompl (0.7.4-1trusty) trusty; urgency=high



 -- Ioan Sucan <isucan@willowgarage.com>  Thu, 22 Dec 2016 08:00:00 -0000

ros-indigo-moveit-planners-ompl (0.7.3-1trusty) trusty; urgency=high



 -- Ioan Sucan <isucan@willowgarage.com>  Tue, 20 Dec 2016 08:00:00 -0000

ros-indigo-moveit-planners-ompl (0.7.0-1trusty) trusty; urgency=high

  * Removed trailing whitespace from entire repository
  * Fixed include directory order to make ros package shadowing work.
  * fixing internal storing of config settings
  * Make sure an overlayed OMPL is used instead of the ROS one.
  * fix simplifySolutions(bool) setter
    The method simplifySolutions(bool) always set the simplify_solutions member to true and the input variable "flag" was ignored.
    The method is fixed by setting the simplify_solutions member to the value of the input variable "flag".
  * changed location of getDefaultPlanner
  * Contributors: Bastian Gaspers, Christian Dornhege, Dave Coleman, Dave Hershberger, Sachin Chitta

 -- Ioan Sucan <isucan@willowgarage.com>  Sat, 30 Jan 2016 08:00:00 -0000

ros-indigo-moveit-planners-ompl (0.6.7-1trusty) trusty; urgency=high

  * Changed OMPL SimpleSetup member variable to shared pointer, passed MotionPlanningRequest to child function
  * Simplified number of solve() entry points in moveit_planners_ompl
  * Fixed uninitialized ptc_ pointer causing a crash.
  * renamed newGoal to new_goal for keeping with formatting
  * setting GroupStateValidityCallbackFn member for constraint_sampler member and implementing callbacks for state validity checking
  * added functions to check validit of state, and also to act as callback for constraint sampler
  * Added copy function from MoveIt! robot_state joint values to ompl state
  * fix for demo constraints database linking error
  * Namespaced less useful debug output to allow to be easily silenced using ros console
  * Contributors: Dave Coleman, Dave Hershberger, Sachin Chitta, arjungm

 -- Ioan Sucan <isucan@willowgarage.com>  Tue, 28 Oct 2014 07:00:00 -0000

ros-indigo-moveit-planners-ompl (0.6.6-1trusty) trusty; urgency=high

  * indigo version of moveit planners
  * fix compile error on Indigo
  * Fix for getMeasure() virtual function OMPL change
  * Move OMPL paths before catkin to avoid compilation against ROS OMPL package when specifying a different OMPL installation
  * Fixed bug which limited the number of plans considered to the number of threads.
  * Contributors: Alexander Stumpf, Chris Lewis, Dave Coleman, Ryan Luna, Sachin Chitta

 -- Ioan Sucan <isucan@willowgarage.com>  Sun, 06 Jul 2014 07:00:00 -0000

ros-indigo-moveit-planners-ompl (0.5.5-1trusty) trusty; urgency=high

  * update build system for ROS indigo
  * Removed duplicate call to setPlanningScene(), added various comments
  * Contributors: Dave Coleman, Ioan Sucan

 -- Ioan Sucan <isucan@willowgarage.com>  Sat, 22 Mar 2014 07:00:00 -0000

ros-indigo-moveit-planners-ompl (0.5.4-1trusty) trusty; urgency=high

  * fix segfault when multiple goals are passed to move_group

 -- Ioan Sucan <isucan@willowgarage.com>  Thu, 06 Feb 2014 08:00:00 -0000

ros-indigo-moveit-planners-ompl (0.5.3-1trusty) trusty; urgency=high

  * update to new API

 -- Ioan Sucan <isucan@willowgarage.com>  Fri, 11 Oct 2013 07:00:00 -0000

ros-indigo-moveit-planners-ompl (0.5.2-1trusty) trusty; urgency=high

  * porting to new robot state

 -- Ioan Sucan <isucan@willowgarage.com>  Mon, 23 Sep 2013 07:00:00 -0000

ros-indigo-moveit-planners-ompl (0.5.1-1trusty) trusty; urgency=high

  * make headers and author definitions aligned the same way; white space fixes
  * namespace change for profiler


