=== debian/control ===
Source: ros-indigo-moveit-planners-ompl
Section: misc
Priority: extra
Maintainer: Dave Coleman <dave@dav.ee>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-catkin, ros-indigo-dynamic-reconfigure, ros-indigo-eigen-conversions, ros-indigo-moveit-core, ros-indigo-moveit-resources, ros-indigo-moveit-ros-planning, ros-indigo-ompl, ros-indigo-pluginlib, ros-indigo-roscpp, ros-indigo-tf
Homepage: http://moveit.ros.org
Standards-Version: 3.9.2

Package: ros-indigo-moveit-planners-ompl
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-dynamic-reconfigure, ros-indigo-eigen-conversions, ros-indigo-moveit-core, ros-indigo-moveit-ros-planning, ros-indigo-ompl, ros-indigo-pluginlib, ros-indigo-roscpp, ros-indigo-tf
Description: MoveIt interface to OMPL
